# Uses of Class
javajs.util.Quat

Packages that use Quat
Package
Description
javajs.util
org.jmol.adapter.writers
org.jmol.api
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.script
org.jmol.shape
org.jmol.symmetry
org.jmol.util
org.jmol.viewer

## Uses of Quat in javajs.util

Methods in javajs.util that return Quat
Modifier and Type
Method
Description
`Quat`
Quat.`add(float x)`
`static Quat[]`
Quat.`arrayDiv(Quat[] data1, Quat[] data2, int nMax, boolean isRelative)`
`static Quat`
Measure.`calculateQuaternionRotation(P3[][] centerAndPoints, float[] retStddev)`
Closed-form solution of absolute orientation requiring 1:1 mapping of positions.
`Quat`
Quat.`div(Quat p)`
`Quat`
Quat.`divLeft(Quat p)`
`static final Quat`
Quat.`getQuaternionFrame(P3 center, T3 x, T3 xy)`
returns a quaternion frame based on three points (center, x, and any point in xy plane) or two vectors (vA, vB).
`static final Quat`
Quat.`getQuaternionFrameV(V3 vA, V3 vB, V3 vC, boolean yBased)`
Create a quaternion based on a frame
`Quat`
Quat.`inv()`
`Quat`
Quat.`leftDifference(Quat q2)`
`Quat`
Quat.`mul(float x)`
`Quat`
Quat.`mulQ(Quat p)`
`Quat`
Quat.`negate()`
`static Quat`
Quat.`new4(float q1, float q2, float q3, float q0)`
Note that q0 is the last parameter here
`static Quat`
Quat.`newAA(A4 a)`
`static Quat`
Quat.`newM(M3 mat)`
`static Quat`
Quat.`newP4(P4 pt)`
`static Quat`
Quat.`newQ(Quat q)`
`static Quat`
Quat.`newVA(T3 v, float theta)`
`Quat`
Quat.`rightDifference(Quat q2)`
`static Quat`
Quat.`sphereMean(Quat[] data, float[] retStddev, float criterion)`
Methods in javajs.util with parameters of type Quat
Modifier and Type
Method
Description
`static Quat[]`
Quat.`arrayDiv(Quat[] data1, Quat[] data2, int nMax, boolean isRelative)`
`static T3[]`
Measure.`computeHelicalAxis(P3 a, P3 b, Quat dq)`
This method calculates measures relating to two points in space with related quaternion frame difference.
`Quat`
Quat.`div(Quat p)`
`Quat`
Quat.`divLeft(Quat p)`
`float`
Quat.`dot(Quat q)`
`static float`
Measure.`getRmsd(P3[][] centerAndPoints, Quat q)`
`Quat`
Quat.`leftDifference(Quat q2)`
`Quat`
Quat.`mulQ(Quat p)`
`static Quat`
Quat.`newQ(Quat q)`
`Quat`
Quat.`rightDifference(Quat q2)`
`void`
Quat.`set(Quat q)`
`void`
Quat.`setRef(Quat qref)`
`static Quat`
Quat.`sphereMean(Quat[] data, float[] retStddev, float criterion)`

## Uses of Quat in org.jmol.adapter.writers

Methods in org.jmol.adapter.writers with parameters of type Quat
Modifier and Type
Method
Description
`boolean`
MOLWriter.`addMolFile(String title, int iModel, SB mol, BS bsAtoms, BS bsBonds, boolean asV3000, boolean asJSON, boolean noAromatic, Quat q, boolean is2d)`

## Uses of Quat in org.jmol.api

Methods in org.jmol.api that return Quat
Modifier and Type
Method
Description
`Quat`
SymmetryInterface.`getQuaternionRotation(String abc)`

## Uses of Quat in org.jmol.modelset

Methods in org.jmol.modelset that return Quat
Modifier and Type
Method
Description
`Quat[]`
ModelSet.`getAtomGroupQuaternions(BS bsAtoms, int nMax, char qtype)`
`Quat`
AtomCollection.`getQuaternion(int i, char qtype)`
`Quat`
Group.`getQuaternion(char qType)`
`Quat`
Group.`getQuaternionFrame(Atom[] atoms)`
Methods in org.jmol.modelset with parameters of type Quat
Modifier and Type
Method
Description
`void`
ModelSet.`getPointTransf(int i, Atom a, Quat q, P3 pTemp)`
pick up the appropriate value for this atom

## Uses of Quat in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio that return Quat
Modifier and Type
Method
Description
`Quat`
AlphaMonomer.`getQuaternion(char qType)`
`Quat`
AminoMonomer.`getQuaternion(char qType)`
`Quat`
NucleicMonomer.`getQuaternion(char qType)`
`Quat`
PhosphorusMonomer.`getQuaternion(char qType)`
`protected Quat`
AlphaMonomer.`getQuaternionAlpha(char qType)`
`protected Quat`
PhosphorusMonomer.`getQuaternionP()`

## Uses of Quat in org.jmol.script

Methods in org.jmol.script that return Quat
Modifier and Type
Method
Description
`Quat[]`
ScriptEval.`getQuaternionArray(Object quaternionOrSVData, int itype)`
`Quat`
ScriptParam.`getQuaternionParameter(int i, BS bsAtoms, boolean divideByCurrent)`

## Uses of Quat in org.jmol.shape

Methods in org.jmol.shape with parameters of type Quat
Modifier and Type
Method
Description
`void`
Mesh.`rotateTranslate(Quat q, T3 offset, boolean isAbsolute)`

## Uses of Quat in org.jmol.symmetry

Methods in org.jmol.symmetry that return Quat
Modifier and Type
Method
Description
`Quat`
Symmetry.`getQuaternionRotation(String abc)`

## Uses of Quat in org.jmol.util

Methods in org.jmol.util with parameters of type Quat
Modifier and Type
Method
Description
`static String`
Escape.`drawQuat(Quat q, String prefix, String id, P3 ptCenter, float scale)`

## Uses of Quat in org.jmol.viewer

Methods in org.jmol.viewer that return Quat
Modifier and Type
Method
Description
`Quat[]`
Viewer.`getAtomGroupQuaternions(BS bsAtoms, int nMax)`
`Quat`
TransformManager.`getRotationQ()`